<?php
include("include/config.php");
include("include/protect.class.php");
include("include/jdf.php");
include('include/functions.php');
$prot=new protect();
if ($prot->showPage) {
$db=new DB($globalConfig['dbase'], $globalConfig['dbhost'],$globalConfig['dbuser'], $globalConfig['dbpass']);
mysql_query("SET NAMES utf8");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>مشتریان</title>
<link rel="stylesheet" type="text/css" href="fancybox/jquery.fancybox-1.3.1.css" media="screen" />
<script src="js/jquery-1.4.2.min.js" type="text/javascript"></script>
<script type="text/javascript" src="fancybox/jquery.fancybox-1.3.1.js"></script>
<script type="text/javascript" src="ckeditor/ckeditor.js"></script>
<?php include("maintemplate/mainheader.php");?>
<script language="JavaScript" src="maintemplate/js/gen_validatorv4.js" type="text/javascript" xml:space="preserve"></script>
</head>
<body>
<div id="wpwrap">
<div id="wpcontent">
	<?php include("include/menutop.php");?> 
<div id="wpbody">
	<?php include("include/header.php");?>
    <div style="overflow:hidden;" id="wpbody-content">
        <div id="screen-meta">
            <div class="wrap">
                <div id="icon-index" class="icon32"><br></div>
                <h2>مشتریان</h2>
               
                <div id="dashboard-widgets-wrap">
                    <div id="dashboard-widgets" class="metabox-holder">
                                            <?php
	if(isset($_GET['del'])){
		if(isset($_GET['AID']) && ($_GET['AID'] != '')){
			 $e_product = $db->query("select * from album where id='".$_GET['AID']."'");
			 $product= $db->fetchNextArray($e_product); 
			 //languages input
			$path1 = "../" . $product['pic'];
			

			
			
		$db->execute("delete from album where id = '".(int)$_GET['AID']."'");
		

 if (is_file($path1)){
		 unlink("$path1");} 
		//  die ('تصویر قبلا حذف شده است یا فایل انتخابی اشتباه بوده');
		echo debug_message('مشتری با موفقیت حذف شد','2','98');
		
		echo '<form action="Album.php" method="POST">
		<p align="center"><input type="submit" id="button" value="بازگشت"></p>
		</form>';	
		}
}


?>
                     <?php 
                if(isset($_GET['insert'])){
															//  5MB maximum file size
$MAXIMUM_FILESIZE = 1 * 1024 * 1024;
//  Valid file extensions (images, word, excel, powerpoint)
$rEFileTypes =
  "/^\.(jpg|jpeg|gif|png){1}$/i";
$dir_base = "../upload/pages/";

$isFile = is_uploaded_file($_FILES['pic']['tmp_name']);
$isFilea = is_uploaded_file($_FILES['picsm']['tmp_name']);

// pic1
if ($isFile)    //  do we have a file?
   {//  sanatize file name
    //     - remove extra spaces/convert to _,
    //     - remove non 0-9a-Z._- characters,
    //     - remove leading/trailing spaces
    //  check if under 5MB,
    //  check file extension for legal file types
    $safe_filename1 = preg_replace(
                     array("/\s+/", "/[^-\.\w]+/"),
                     array("_", ""),
                     trim($_FILES['pic']['name']));
	$safe_filename = time().'-'.$safe_filename1;
    if ($_FILES['pic']['size'] <= $MAXIMUM_FILESIZE &&
        preg_match($rEFileTypes, strrchr($safe_filename, '.')))
      {$isMove = move_uploaded_file (
                 $_FILES['pic']['tmp_name'],
                 $dir_base.$safe_filename);}
      } else{$nn=1;}
	  
	  if($nn == 1){$patha="#";}else{
		$patha='upload/pages/'.$safe_filename.'';}
		
		if ($isFilea)    //  do we have a file?
   {//  sanatize file name
    //     - remove extra spaces/convert to _,
    //     - remove non 0-9a-Z._- characters,
    //     - remove leading/trailing spaces
    //  check if under 5MB,
    //  check file extension for legal file types
    $safe_filename1 = preg_replace(
                     array("/\s+/", "/[^-\.\w]+/"),
                     array("_", ""),
                     trim($_FILES['picsm']['name']));
	$safe_filename = time().'-'.$safe_filename1;
    if ($_FILES['picsm']['size'] <= $MAXIMUM_FILESIZE &&
        preg_match($rEFileTypes, strrchr($safe_filename, '.')))
      {$isMove = move_uploaded_file (
                 $_FILES['picsm']['tmp_name'],
                 $dir_base.$safe_filename);}
      } else{$nn=1;}
	  
	  if($nn == 1){$pathaa="#";}else{
		$pathaa='upload/pages/'.$safe_filename.'';}
							
					
		$db->execute("insert album set
		 title = '".$db->safe_string($_POST['name'])."',
		 link = '".$db->safe_string($_POST['link'])."',
		title_en = '".$db->safe_string($_POST['name_en'])."',
		des='".addslashes($_POST['des'])."',
	title_ar = '".$db->safe_string($_POST['name_ar'])."',
		   status = '".$db->safe_string($_POST['part'])."',
		 pic= '".$patha."',
		  picsm= '".$pathaa."'
		 ");
			
		echo debug_message('مشتری جدید با موفقیت اضافه شد...','2','98');
		
		echo '<form action="Album.php" method="POST">
		<p align="center"><input type="submit" id="button" value="بازگشت"></p>
		</form>';	
		
		}elseif(isset($_GET['update'])){
			 $e_product = $db->query("select * from album where id='".$_POST['AID1']."'");
			 $product= $db->fetchNextArray($e_product); 
			 //languages input
			
			
			//check for the new pic. is not set any new pic
				$isFile = is_uploaded_file($_FILES['pic']['tmp_name']);
				$isFilea = is_uploaded_file($_FILES['picsm']['tmp_name']);
				$MAXIMUM_FILESIZE = 1 * 1024 * 1024;
//  Valid file extensions (images, word, excel, powerpoint)
$rEFileTypes =
  "/^\.(jpg|jpeg|gif|png){1}$/i";
$dir_base = "../upload/pages/";
			
			if (!$isFile){
					$patha =$product['pic'];
					}else {
						//unlink first
							$path2 ="../" . $product['pic'];
						if(!unlink("$path2")){die ('تصویر قبلا حذف شده است یا فایل انتخابی اشتباه بوده');}
						  $safe_filename1 = preg_replace(
                     array("/\s+/", "/[^-\.\w]+/"),
                     array("_", ""),
                     trim($_FILES['pic']['name']));
	$safe_filename = time().'-'.$safe_filename1;
    if ($_FILES['pic']['size'] <= $MAXIMUM_FILESIZE &&
        preg_match($rEFileTypes, strrchr($safe_filename, '.')))
      {$isMove = move_uploaded_file (
                 $_FILES['pic']['tmp_name'],
                 $dir_base.$safe_filename);}
      
		$patha='upload/pages/'.$safe_filename.'';
						
						}
						if (!$isFilea){
					$pathaa =$product['picsm'];
					}else {
						//unlink first
						
							$path2a ="../" . $product['picsm'];
							if(is_file($path2a)){
						unlink("$path2a");}else{echo 'تصویر قبلا حذف شده است یا فایل انتخابی اشتباه بوده';}
						  $safe_filename1 = preg_replace(
                     array("/\s+/", "/[^-\.\w]+/"),
                     array("_", ""),
                     trim($_FILES['picsm']['name']));
	$safe_filename = time().'-'.$safe_filename1;
    if ($_FILES['picsm']['size'] <= $MAXIMUM_FILESIZE &&
        preg_match($rEFileTypes, strrchr($safe_filename, '.')))
      {$isMove = move_uploaded_file (
                 $_FILES['picsm']['tmp_name'],
                 $dir_base.$safe_filename);}
      
		$pathaa='upload/pages/'.$safe_filename.'';
						
						}
			
			 $db->execute("update album set
		 title = '".$db->safe_string($_POST['name'])."',
		 link = '".$db->safe_string($_POST['link'])."',
		  title_en = '".$db->safe_string($_POST['name_en'])."',
			title_ar = '".$db->safe_string($_POST['name_ar'])."',
			des='".addslashes($_POST['des'])."',
		  status = '".$db->safe_string($_POST['part'])."',
		 pic= '".$patha."',
		 picsm= '".$pathaa."'
		 where id='".$_GET['AID']."'
		 ");

			echo debug_message('مشتری مورد نظر با موفقیت ویرایش شد...','2','98');
		
		echo '<form action="Album.php" method="POST">
		<p align="center"><input type="submit" id="button" value="بازگشت"></p>
		</form>';
		}else{?>
                         <div class="postbox-container" style="width:68%;">
                                <div id="normal-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_recent_comments" class="postbox ">
                                   <div class="handlediv" title="برای جانشینی کلیک کنید"><br></div><h3 class="hndle"><span>  اضافه کردن مشتری </span></h3>
                                <div style="padding:10px; line-height:24px">

<?php
	

	
			$form_action = 'insert';
		if(isset($_GET['AID'])){
			$sql = $db->query("select * from album where id = '".(int)$_GET['AID']."'");
			$num_s=$db->numRows($sql);
			$res = $db->fetchNextArray($sql);
			$form_action = 'update&AID='.$_GET['AID'];
		}
?>
<div class="inside" style="">
<form action="Album.php?do=add_allay&<?php echo $form_action; ?>" method="post" name="form1" id="form1" enctype="multipart/form-data">
<table class="form-table">
<tbody>
<tr class="odd" valign="top">
<th scope="row"><label for="name">نام</label></th>
<td><input name="name"  id="name" size="16" value="<?php echo $res['title']; ?>" dir="ltr" class="regular-text" type="text">
<div id='form1_name_errorloc' class="error_strings"></div>
</td>
</tr>

<tr class="odd" valign="top">
<th scope="row"><label for="name_en">نام انگلیسی</label></th>
<td><input name="name_en"  id="name_en" size="16" value="<?php echo $res['title_en']; ?>" dir="ltr" class="regular-text" type="text">
<div id='form1_name_errorloc' class="error_strings"></div>
</td>
</tr>
<tr class="odd" valign="top">
	<th scope="row"><label for="link">لینک</label></th>
	<td><input name="link"  id="link" size="16" value="<?php echo $res['link']; ?>" dir="ltr" class="regular-text" type="text">
		<div id='form1_name_errorloc' class="error_strings"></div>
	</td>
</tr>
<tr class="odd" valign="top">
	<th scope="row"><label for="des">توضیحات</label></th>
	<td>
		<textarea cols="80" id="des" name="des" rows="10"><?php echo stripslashes($res['des']);?></textarea>
		<script type="text/javascript">
			//<![CDATA[

			CKEDITOR.replace( 'des',
					{
						fullPage : false,
						extraPlugins : 'docprops'
					});

			//]]>
		</script>
	</td>
</tr>
<tr class="odd" valign="top">

<th scope="row">

<label for="name">تصویر</label></th>
<td><input type="file"  name="pic" />
<div id='form1_name_errorloc' class="error_strings"></div>
</td>
</tr>

<?php if($_GET['AID']){ ?>
<div class="error_strings" style="padding:4px;">در صورتیکه قصد تغییر تصویر را ندارید  بخش تصویر را به همین صورت رها کنید</div>
<?php } ?>
<tr class="odd" valign="top">
<th scope="row"><label for="part">نام دسته</label></th>
<td>
<select id="part" name="part">
<?php
			  $sqlpf = "SELECT * FROM parts where category=13 ";
	$resultpf = mysql_query($sqlpf);
	while($rowpf = mysql_fetch_array($resultpf)){
	?>
    	<option value="<?=(string)$rowpf['id']?>" <?php if($res['status']==$rowpf['id']){?>selected="selected"<?php } ?>><?=$rowpf['name']?></option>
   
     <?php }?>
          
   
</select>
</td>
</tr>

</tbody></table>


<p class="submit">
  <?php
	   if($num_s){
			  echo '<input type="hidden" value="'.$_GET['AID'].'"  name="AID1" />
      		   		<input type="submit" id="button"  value="ویرایش"  name="edit" />';
	   	}else {  
      		  echo' <input type="submit" id="button"  value="ذخیره" name="Send" />';}
		?>

</p>
</form>
<script language="JavaScript" type="text/javascript"
    xml:space="preserve">//<![CDATA[
//You should create the validator only after the definition of the HTML form
  var frmvalidator  = new Validator("form1");
    frmvalidator.EnableOnPageErrorDisplay();
    frmvalidator.EnableMsgsTogether();


	frmvalidator.addValidation("name","req","وارد کردن متن ضروری است");
	
//]]></script>
</div>
                                
                                </div>

                              </div>

                            </div>
                        </div>  
                        <div style="width:29%;" class="postbox-container">
<div class="postbox" id="dashboard_recent_drafts">
<div title="برای جانشینی کلیک کنید" class="handlediv"><br></div><h3 class="hndle"><span></span>راهنما</h3>
<div class="inside">
برای اضافه کردن متن جدید از ستون سمت راست استفاده کنید و برای ویرایش آن روی گزینه ویرایش جلوی آن کلیک کنید
</div>

</div>

</div>

<?php
		}?>
        <div class="postbox-container" style="width:98%;">
                                <div id="normal-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_recent_comments" class="postbox ">
                                   <div class="handlediv" title="برای جانشینی کلیک کنید"><br></div><h3 class="hndle"><span>  لیست محله ها </span></h3>
                             <div align="center" style="padding:5px;">
                                               
<table id="rounded-corner"dir="rtl">

  <thead>
			<tr>
				<th scope="col" id="rounded-q5">شماره</th>
                <th scope="col" id="rounded-q5">نام</th>
				<th scope="col" id="rounded-q5">نام دسته</th>
                <th scope="col" id="rounded-q5">ویرایش</th>
                <th scope="col" id="rounded-q5"> حذف</th>
			</tr>
		</thead>
		<tbody>
<?php
	/*
		Place code to connect to your DB here.
	*/
	// include your code to connect to DB.

	$tbl_name="album";		//your table name
	// How many adjacent pages should be shown on each side?
	$adjacents = 3;
	
	/* 
	   First get total number of rows in data table. 
	   If you have a WHERE clause in your query, make sure you mirror it here.
	*/

	$query = "SELECT COUNT(*) as num FROM $tbl_name";
	$total_pages = mysql_fetch_array(mysql_query($query));
	$total_pages = $total_pages[num];
	
	/* Setup vars for query. */
	$targetpage = "Album.php"; 	//your file name  (the name of this file)
	$limit = 20; 								//how many items to show per page
	$page = $_GET['page'];
	if($page) 
		$start = ($page - 1) * $limit; 			//first item to display on this page
	else
		$start = 0;								//if no page var is given, set start to 0
	
	/* Get data. */
	
	$sql = "SELECT * FROM $tbl_name ORDER BY id DESC LIMIT $start, $limit";	
	$result = mysql_query($sql);
	
	/* Setup page vars for display. */
	if ($page == 0) $page = 1;					//if no page var is given, default to 1.
	$prev = $page - 1;							//قبلی page is page - 1
	$next = $page + 1;							//بعدی page is page + 1
	$lastpage = ceil($total_pages/$limit);		//lastpage is = total pages / items per page, rounded up.
	$lpm1 = $lastpage - 1;						//last page minus 1
	
	/* 
		Now we apply our rules and draw the pagination object. 
		We're actually saving the code to a variable in case we want to draw it more than once.
	*/
	$pagination = "";
	if($lastpage > 1)
	{	
		$pagination .= "<div class=\"pagination\">";
		//قبلی button
		if ($page > 1) 
			$pagination.= "<a href=\"$targetpage?page=$prev\">« قبلی</a>";
		else
			$pagination.= "<span class=\"disabled\">« قبلی</span>";	
		
		//pages	
		if ($lastpage < 7 + ($adjacents * 2))	//not enough pages to bother breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
			}
		}
		elseif($lastpage > 5 + ($adjacents * 2))	//enough pages to hide some
		{
			//close to beginning; only hide later pages
			if($page < 1 + ($adjacents * 2))		
			{
				for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//in middle; hide some front and some back
			elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//close to end; only hide early pages
			else
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
			}
		}
		
		//بعدی button
		if ($page < $counter - 1) 
			$pagination.= "<a href=\"$targetpage?page=$next\">بعدی »</a>";
		else
			$pagination.= "<span class=\"disabled\">بعدی »</span>";
		$pagination.= "</div>\n";		
	}
?>

	<?php
		while($row = mysql_fetch_array($result))
		{
				if($data['visited'] == 0){
			$sytle = 'style="color:#390"';
		}else{
			$style = '';
		}
		if(($i % 2) == 0) {
			$class = 'tableRow2';
		}else{
			$class = 'tableRow1';
		}
			echo '<tr class="'.$class.'" onmouseover="this.className=\'tableRowOver\'" onmouseout="this.className=\''.$class.'\'">';
			
?>
					
<form action="convert">
        <td><?php echo $row['id'];?></td>
        <td ><?php echo $row['title'];?></td>
	<td><?php $sql1 = $db->query("select * from parts where id = '".(int)$row['status']."'");
	$res1 = $db->fetchNextArray($sql1);
	echo $res1['name'];
	?></td>
         
        <td ><a href="Album.php?AID=<?php echo $row['id'];?>"><img src="images/pdo.png"></a></td> 
        <td ><a href="Album.php?del=true&AID=<?php echo $row['id'];?>"><img src="images/cros.gif"></a></td>
			<?php }
	?>
</form>
    		
		</tbody>
  </table>
  <div style="direction:ltr">
<?=$pagination?>
                             </div>                 
                                                </div>

                              </div>
                            </div>
                        </div>



                    </div>
                    <div class="clear"></div>
                </div><!-- dashboard-widgets-wrap -->
            </div><!-- wrap -->
			<div class="clear"></div></div><!-- wpbody-content -->
			<div class="clear"></div></div><!-- wpbody -->
			<div class="clear"></div></div><!-- wpcontent -->
        </div>
    </div><!-- wpcontent -->
</div><!-- wpwrap -->
<?php include("include/footer.php");?>
</div>
</div>
</body>
</html><?php } ?>